package main

import "fmt"

func main() {

	//s := []map[int]int[uint18]
	//var s []map[int]int
	m := make(map[float32]int)
	//var s []map[int]string{}
	//var users []string
	var s = []map[int]string{}

	fmt.Println(s)
	fmt.Println(m)

	// Создание map с испльзованием встроенной функции make:
	m1 := make(map[int]int)
	// m1 := new(map[int]int)

	// Создание и использованием литерала отображения:
	m2 := map[int]int{
		12: 2,
		1:  5,
	}

	fmt.Println(m1)
	fmt.Println(m2)

	// Проверка на наличие ключа
	if value, ok := m2[1]; ok {
		fmt.Println(value)
	}

	if value, ok := m2[3]; ok {
		fmt.Println(value)
	}

	for key, value := range m2 {
		fmt.Println(key, value)
	}
}
